WITH t1 AS
(
	SELECT ContactID / 100 [ContactID]
		, FirstName
		, MiddleName
		, LastName
		, EmailAddress
		, Phone
		, LOWER(LEFT(FirstName, 1) + LastName) [LoginID]
		, ModifiedDate
		, CASE WHEN (ContactID / 100) % 20 = 0 OR (ContactID / 100) % 7 = 0
			THEN 1 ELSE 0 END [UpdateMe]
	FROM Person.Contact
	WHERE ContactID % 100 = 0
)

, t2 as (
SELECT ContactID
	, CASE WHEN UpdateMe = 1
		THEN FirstName + ISNULL(' ' + MiddleName, '') + ' ' + LastName
		ELSE FirstName END [FirstName]
	, CASE WHEN UpdateMe = 1
		THEN NULL
		ELSE MiddleName END [MiddleName]
	, CASE WHEN UpdateMe = 1
		THEN NULL
		ELSE LastName END [LastName]
	, EmailAddress
	, Phone
	, LoginID
	, ModifiedDate	 
FROM t1)

SELECT 
	ContactID, FirstName, MiddleName, LastName
		, CASE WHEN ContactID % 6 = 0 THEN REPLACE(EmailAddress, 'Adventure-Works.com', 'gmail.com') 
			WHEN ContactID % 7 = 0 THEN REPLACE(EmailAddress, 'adventure-works.com', 'yahoo.com')
			WHEN ContactID % 8 = 0 THEN REPLACE(EmailAddress, 'adventure-works.com', 'hotmail.com')
			WHEN ContactID % 4 = 0 THEN REPLACE(EmailAddress, '@adventure-works.com', '')
			WHEN ContactID % 5 = 0 THEN REPLACE(EmailAddress, 'adventure-works.com', 'contoso.com')
			WHEN ContactID % 3 = 0 THEN REPLACE(EmailAddress, 'adventure-works.com', 'microsoft.com')
			ELSE EmailAddress
	END [EmailAddress]
FROM t2